﻿Type=Class
Version=5.02
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
Sub Class_Globals
	Private atAnim As AnimationPlus
	Private atView As View
	Private atFinalX As Int
	Private atID As Long
	Private atModule As Object
	Private atEventName As String
	Private atStarted As Boolean
End Sub

'This class animates the translation of a view.
Public Sub Initialize(Module As Object, EventName As String)
	atModule = Module
	atEventName = EventName.ToLowerCase
	atStarted = False
End Sub

Public Sub Start(ViewToAnimate As View, ID As Long, FinalX As Int, Duration As Long)
	Stop
	atView = ViewToAnimate
	atID = ID
	atFinalX = FinalX
	atAnim.InitializeTranslate("Anim", 0, 0, atFinalX - atView.Left, 0)
	atAnim.Duration = Duration
	atAnim.SetInterpolator(atAnim.INTERPOLATOR_LINEAR)
	atAnim.Start(atView)
	atStarted = True
End Sub

Public Sub IsStarted As Boolean
	Return atStarted
End Sub

Public Sub Stop
	If atStarted Then atAnim.Stop(atView)
End Sub

Private Sub Anim_AnimationEnd
	atStarted = False
	atView.Left = atFinalX
	If SubExists(atModule, atEventName) Then
		CallSub3(atModule, atEventName, atView, atID)
	End If
End Sub
