﻿Type=Activity
Version=5.02
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	Type typItemData(Text As String, Anim As ClsAnimatedTranslation)
End Sub

Sub Globals
	Dim ULV As UltimateListView
	Dim mapItems, mapItems2, mapItems3, mapItems4, mapItems5 As Map
	Dim StartX As Int
	Dim Index_Panel As Int = 2
	Dim AptList As String
	Dim pnlLogin As Panel
	Dim ActionBar As StdActionBar
	Dim Ani As Animation
End Sub

Sub Activity_Create(FirstTime As Boolean)

	Ani.InitializeScaleCenter("", 0,0,1,1, Activity)
	Ani.Duration = 0
	Activity.Color = 0xfff3f3f3
	Activity.Title = "Veco Demo"
	'LoginActionBar
	
	Dim job1 As HttpJob
   	job1.Initialize("Job1", Me)
   	job1.Download2("https://appt-json-data.netlify.com/index.json", Array As String("first key", "first value :)", "second key", "value 2"))
	
End Sub

Sub JobDone (Job As HttpJob)
   Log("JobName = " & Job.JobName & ", Success = " & Job.Success)
   If Job.Success = True Then
      Select Job.JobName
         Case "Job1"
		 
            AptList = Job.GetString		 
			InitialiseULV
		
      End Select
   Else
      Log("Error: " & Job.ErrorMessage)
      ToastMessageShow("Error: " & Job.ErrorMessage, True)
   End If
   Job.Release
   
End Sub

Sub bar_ListItemSelected (Index As Int, Value As String)
   Log("Selected value: " & Value)
End Sub
 
Sub InitialiseULV()

	'Initializes an ULV and builds its list
	ULV.Initialize(0, 0, "", "ULV")
	ULV.SetPadding(5dip, 5dip, 5dip, 5dip)
	ULV.SetStyle(ULV.STYLE_HOLO_LIGHT)
	ULV.AddLayout("Item", "Item_LayoutCreator", "Item_ContentFiller", 150dip, True)
	ULV.PressedDrawable = Null
	
'		Dim start_time As String = colroot.Get("start_time") 
'		Dim end_time As String = colroot.Get("end_time") 
'		Dim coordinates As List = colroot.Get("coordinates") 
'		For Each colcoordinates As List In coordinates 
'			For Each colcolcoordinates As Double In colcoordinates 
'			Next 
'		Next 
'		Dim description As String = colroot.Get("description") 
'		Dim location As String = colroot.Get("location") 
'		Dim id As Int = colroot.Get("id") 
'		Dim title As String = colroot.Get("title") 
'		Dim created_by As String = colroot.Get("created_by") 

	Dim parser As JSONParser 
	parser.Initialize(AptList) 
	Dim root As List = parser.NextArray 
	mapItems.Initialize
	mapItems2.Initialize
	mapItems3.Initialize
	mapItems4.Initialize
	mapItems5.Initialize
	For Each colroot As Map In root 
	
		Dim NewItem, NewItem2, NewItem3, NewItem4, NewItem5 As typItemData
		NewItem.Initialize
		NewItem.Text = colroot.Get("start_time") 
		NewItem.Anim.Initialize(Me, "Anim_AnimationEnd")

		NewItem2.Initialize
		NewItem2.Text = colroot.Get("description") 
		NewItem2.Anim.Initialize(Me, "Anim_AnimationEnd")
		
		NewItem3.Initialize
		NewItem3.Text = colroot.Get("location") 
		NewItem3.Anim.Initialize(Me, "Anim_AnimationEnd")
		
		NewItem4.Initialize
		NewItem4.Text = colroot.Get("title") 
		NewItem4.Anim.Initialize(Me, "Anim_AnimationEnd")
		
		NewItem5.Initialize
		NewItem5.Text = colroot.Get("description") 
		NewItem5.Anim.Initialize(Me, "Anim_AnimationEnd")
		
		Dim id As Long = colroot.Get("id") - 1
		mapItems.Put(id, NewItem) 'Date
		mapItems2.Put(id, NewItem2)	'Avtivity	
		mapItems3.Put(id, NewItem3)	'Location
		mapItems4.Put(id, NewItem4)	'Title
		mapItems5.Put(id, NewItem5)	'
		ULV.AddItem("Item", id)
		ULV.SetSwipeDirection(id, ULV.SWIPE_DIRECTION_BOTH)
		
	Next
	
	ULV.AnimationCleaner = True
	Activity.AddView(ULV, 0, 0, 100%x, 100%y)
	
End Sub

Sub LoginActionBar

    ActionBar.Initialize("ActionBar")
	ActionBar.Subtitle = "Login Page"
	Activity.AddMenuItem3("MenuRestore", "MenuRestore", LoadBitmap(File.DirAssets,"ic_restore_white_24dp.png" ), True)
	ActionBar.Icon = LoadBitmap(File.DirAssets,"ic_lock_outline_white_24dp.png")

End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub Item_LayoutCreator(LayoutName As String, LayoutPanel As Panel)
	'Hidden: two buttons to confirm or cancel the dismissal
	Dim btnConfirm As Button
	btnConfirm.Initialize("btnConfirm")
	btnConfirm.Text = "Confirm"
	btnConfirm.TextColor = Colors.Black
	btnConfirm.TextSize = 20
	LayoutPanel.AddView(btnConfirm, 5dip, 5dip, -2, LayoutPanel.Height - 9dip)

	Dim btnCancel As Button
	btnCancel.Initialize("btnCancel")
	btnCancel.Text = "Cancel"
	btnCancel.TextColor = Colors.Black
	btnCancel.TextSize = 20
	LayoutPanel.AddView(btnCancel, 105dip, 5dip, -2, LayoutPanel.Height - 9dip)

	'Over the buttons: a sliding panel with a label
	Dim SlidingPanel As Panel
	SlidingPanel.Initialize("SlidingPanel")
	SlidingPanel.Color = Colors.LightGray
	LayoutPanel.AddView(SlidingPanel, 0, 0, LayoutPanel.Width, LayoutPanel.Height)

	Dim lbl As Label
	lbl.Initialize("")
	lbl.Color = Colors.Transparent
	lbl.TextColor = Colors.Blue
	lbl.TextSize = 20
	lbl.Typeface = Typeface.DEFAULT
	'lbl.Gravity = Gravity.LEFT + Gravity.CENTER_VERTICAL
	SlidingPanel.AddView(lbl, 10dip, 5dip, SlidingPanel.Width - 20dip, SlidingPanel.Height - 9dip)
	
	Dim lbl2 As Label
	lbl2.Initialize("")
	lbl2.Color = Colors.Transparent
	lbl2.TextColor = Colors.Black
	lbl2.TextSize = 20
	lbl2.Typeface = Typeface.DEFAULT_BOLD
	'lbl.Gravity = Gravity.LEFT + Gravity.CENTER_VERTICAL
	SlidingPanel.AddView(lbl2, 175dip, 5dip, SlidingPanel.Width - 20dip, SlidingPanel.Height - 9dip)
	
	Dim lbl3 As Label
	lbl3.Initialize("")
	lbl3.Color = Colors.Transparent
	lbl3.TextColor = Colors.Red
	lbl3.TextSize = 20
	lbl3.Typeface = Typeface.DEFAULT
	'lbl.Gravity = Gravity.LEFT + Gravity.CENTER_VERTICAL
	SlidingPanel.AddView(lbl3, 175dip, 35dip, SlidingPanel.Width - 20dip, SlidingPanel.Height - 9dip)
	
	Dim lbl4 As Label
	lbl4.Initialize("")
	lbl4.Color = Colors.Transparent
	lbl4.TextColor = Colors.Black
	lbl4.TextSize = 20
	lbl4.Typeface = Typeface.DEFAULT
	'lbl.Gravity = Gravity.LEFT + Gravity.CENTER_VERTICAL
	SlidingPanel.AddView(lbl4, 10dip, 5dip, SlidingPanel.Width - 20dip, SlidingPanel.Height - 9dip)
	
	Dim lbl5 As Label
	lbl5.Initialize("")
	lbl5.Color = Colors.Transparent
	lbl5.TextColor = Colors.Black
	lbl5.TextSize = 20
	lbl5.Typeface = Typeface.DEFAULT
	'lbl.Gravity = Gravity.LEFT + Gravity.CENTER_VERTICAL
	SlidingPanel.AddView(lbl5, 10dip, 5dip, SlidingPanel.Width - 20dip, SlidingPanel.Height - 9dip)
	
End Sub

Sub Item_ContentFiller(ItemID As Long, LayoutName As String, LayoutPanel As Panel, Position As Int)
	'Updates the position of the sliding panel
	Dim SlidingPanel As Panel = LayoutPanel.GetView(Index_Panel)
	If ULV.GetSwipeDirection(Position) = ULV.SWIPE_DIRECTION_LEFT Then
		SlidingPanel.Left = SlidingPanel.Width
	Else If ULV.GetSwipeDirection(Position) = ULV.SWIPE_DIRECTION_RIGHT Then
		SlidingPanel.Left = -SlidingPanel.Width
	Else
		SlidingPanel.Left = 0
	End If

	'Updates the text
	Dim lbl As Label = SlidingPanel.GetView(0)
	Dim ItemData As typItemData = mapItems.Get(ItemID) '2019-02-02T17:21:43.511Z
	Dim x As String  = ItemData.Text.SubString2(8,10) & "/" & ItemData.Text.SubString2(5,7) & "/" & ItemData.Text.SubString2(0,4)
	Dim y As String = DateTime.GetDayOfWeek(DateUtils.SetDate(ItemData.Text.SubString2(0,4), ItemData.Text.SubString2(5,7), ItemData.Text.SubString2(8,10)))
	
	Select y 
		Case 1
			y = "Sun"
		Case 2
			y = "Mon"
		Case 3
			y = "Tue"
		Case 4
			y = "Wed"
		Case 5
			y = "Thu"
		Case 6
			y = "Fri"
		Case 7
			y = "Sat"
	End Select 
	
	lbl.Text = y & " " & x
		
	Dim lbl2 As Label = SlidingPanel.GetView(1)
	Dim ItemData2 As typItemData = mapItems2.Get(ItemID)
	lbl2.Text = ItemData2.Text
	
	Dim lbl3 As Label = SlidingPanel.GetView(2)
	Dim ItemData3 As typItemData = mapItems3.Get(ItemID)
	lbl3.Text = "Location: " & ItemData3.Text

	'Stores the position in the Tag property of buttons
	Dim btnConfirm As Button = LayoutPanel.GetView(0)
	btnConfirm.Tag = Position
	Dim btnCancel As Button = LayoutPanel.GetView(1)
	btnCancel.Tag = Position
End Sub

Sub SlidingPanel_Touch (Action As Int, X As Float, Y As Float)
	'Blocks all touch events
	If Action = 1 Then
		Dim PanelID As Long = ULV.FindIDInVisibleItems(Sender)
		pnlLogin.Initialize("pnlLogin")
		Activity.AddView(pnlLogin,10%x, 10%y, 80%x, 80%y)
		pnlLogin.Color= Colors.White
		pnlLogin.Visible = True
		Dim Ok As Button
		Ok.Initialize("Ok")
		Ok.Text = "Ok"
		Ok.Color = Colors.Blue
		pnlLogin.AddView(Ok, 10dip, 10dip, 100dip, 50dip)
		
		Dim lbl As Label
		lbl.Initialize("lbl")
		lbl.text = "Date:"
		lbl.TextColor = Colors.Black
		lbl.TextSize = 20
		lbl.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl, 30dip, 70dip, 100dip, 50dip)
		
		Dim ItemData As typItemData = mapItems.Get(PanelID)	
		Dim lbl2 As Label
		lbl2.Initialize("lbl2")
		Dim a As String = ItemData.Text.SubString2(8,10) & "/" & ItemData.Text.SubString2(5,7) & "/" & ItemData.Text.SubString2(0,4)
		Dim b As String = DateTime.GetDayOfWeek(DateUtils.SetDate(ItemData.Text.SubString2(0,4), ItemData.Text.SubString2(5,7), ItemData.Text.SubString2(8,10)))
		
		Select b 
			Case 1
				b = "Sun"
			Case 2
				b = "Mon"
			Case 3
				b = "Tue"
			Case 4
				b = "Wed"
			Case 5
				b = "Thu"
			Case 6
				b = "Fri"
			Case 7
				b = "Sat"
		End Select 
	
		lbl2.text = b & " " & a
		lbl2.TextColor = Colors.Blue
		lbl2.TextSize = 20
		lbl2.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl2, 130dip, 70dip, 300dip, 50dip)
		
		Dim lbl3 As Label
		lbl3.Initialize("lbl3")
		lbl3.text = "Activity:"
		lbl3.TextColor = Colors.Black
		lbl3.TextSize = 20
		lbl3.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl3, 30dip, 130dip, 100dip, 50dip)
		
		Dim ItemData2 As typItemData = mapItems2.Get(PanelID)	
		Dim lbl4 As Label
		lbl4.Initialize("lbl4")
		lbl4.text = ItemData2.Text
		lbl4.TextColor = Colors.Blue
		lbl4.TextSize = 20
		lbl4.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl4, 130dip, 130dip, 500dip, 50dip)
		
		Dim lbl5 As Label
		lbl5.Initialize("lbl5")
		lbl5.text = "Location:"
		lbl5.TextColor = Colors.Black
		lbl5.TextSize = 20
		lbl5.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl5, 30dip, 190dip, 100dip, 50dip)
		
		Dim ItemData3 As typItemData = mapItems3.Get(PanelID)	
		Dim lbl6 As Label
		lbl6.Initialize("lbl6")
		lbl6.text = ItemData3.Text
		lbl6.TextColor = Colors.Blue
		lbl6.TextSize = 20
		lbl6.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl6, 130dip, 190dip, 500dip, 50dip)
		
		Dim lbl7 As Label
		lbl7.Initialize("lbl7")
		lbl7.text = "Owner:"
		lbl7.TextColor = Colors.Black
		lbl7.TextSize = 20
		lbl7.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl7, 30dip, 250dip, 100dip, 50dip)
		
		Dim lbl8 As Label
		lbl8.Initialize("lbl8")
		lbl8.text = "John Smith"
		lbl8.TextColor = Colors.Blue
		lbl8.TextSize = 20
		lbl8.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl8, 130dip, 250dip, 500dip, 50dip)
		
		Dim lbl9 As Label
		lbl9.Initialize("lbl9")
		lbl9.text = "07782301500"
		lbl9.TextColor = Colors.Blue
		lbl9.TextSize = 20
		lbl9.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl9, 130dip, 310dip, 500dip, 50dip)
		
		Dim lbl10 As Label
		lbl10.Initialize("lbl10")
		lbl10.text = "johnsmith@gmail.com"
		lbl10.TextColor = Colors.Blue
		lbl10.TextSize = 20
		lbl10.Typeface = Typeface.DEFAULT_BOLD
		pnlLogin.AddView(lbl10, 130dip, 370dip, 500dip, 50dip)
		
		ULV.Visible = False
		ULV.Enabled = False
	End If
End Sub

Sub Ok_click

	pnlLogin.RemoveView
	ULV.Enabled = True
	ULV.Visible = True

End Sub

Sub btnConfirm_Click
	'The dismissal is confirmed
	Dim Btn As Button = Sender
	mapItems.Remove(ULV.GetItemID(Btn.Tag))
	ULV.RemoveItemAt(Btn.Tag)
End Sub

Sub btnCancel_Click
	'Gets the sliding panel
	Dim Btn As Button = Sender
	Dim jBtn As JavaObject = Btn
	Dim LayoutPanel As Panel = jBtn.RunMethod("getParent", Null)
	Dim Pnl As Panel = LayoutPanel.GetView(Index_Panel)

	'Reverts the panel back to its initial state
	ULV.SetSwipeDirection(Btn.Tag, ULV.SWIPE_DIRECTION_BOTH)
	Dim Item As typItemData = mapItems.Get(ULV.GetItemID(Btn.Tag))
	Item.Anim.Start(Pnl, -1, 0, 400)
End Sub

Sub ULV_SwipeBegin(Position As Int, LayoutPanel As Panel, LocalX As Int, ScreenX As Int) As Boolean
	'Ignores any new gesture until the animation has ended
	Dim Item As typItemData = mapItems.Get(ULV.GetItemID(Position))
	If Item.Anim.IsStarted Then
		Return False
	End If

	'Memorizes the starting position of the sliding panel
	Dim Pnl As Panel = LayoutPanel.GetView(Index_Panel)
	StartX = Pnl.Left
	Return True
End Sub

Sub ULV_Swiped(Position As Int, LayoutPanel As Panel, LocalX As Int, ScreenX As Int, DeltaX As Int)
	'Moves the sliding panel
	Dim Pnl As Panel = LayoutPanel.GetView(Index_Panel)
	If ULV.GetSwipeDirection(Position) = ULV.SWIPE_DIRECTION_LEFT Then
		Pnl.Left = Max(0, Min(StartX, DeltaX + StartX))
	Else If ULV.GetSwipeDirection(Position) = ULV.SWIPE_DIRECTION_RIGHT Then
		Pnl.Left = Min(Max(StartX, DeltaX + StartX), Pnl.Width)
	Else
		Pnl.Left = Min(Max(-Pnl.Width, DeltaX + StartX), Pnl.Width)
	End If
End Sub

Sub ULV_SwipeCancelled(Position As Int, LayoutPanel As Panel, LocalX As Int, ScreenX As Int)
	'Cancels any change of the panel position
	Dim Pnl As Panel = LayoutPanel.GetView(Index_Panel)
	If ULV.GetSwipeDirection(Position) = ULV.SWIPE_DIRECTION_LEFT Then
		Pnl.Left = Pnl.Width
	Else If ULV.GetSwipeDirection(Position) = ULV.SWIPE_DIRECTION_RIGHT Then
		Pnl.Left = -Pnl.Width
	Else
		Pnl.Left = 0
	End If
End Sub

Sub ULV_SwipeEnd(Position As Int, LayoutPanel As Panel, LocalX As Int, ScreenX As Int, VelocityX As Float)
	'Animates the sliding panel to reach the final position
	Dim Pnl As Panel = LayoutPanel.GetView(Index_Panel)
	Dim Item As typItemData = mapItems.Get(ULV.GetItemID(Position))
	If ULV.GetSwipeDirection(Position) = ULV.SWIPE_DIRECTION_BOTH Then
		Dim FinalX As Int
		If Pnl.Left >= StartX Then
			FinalX = Pnl.Width
			ULV.SetSwipeDirection(Position, ULV.SWIPE_DIRECTION_LEFT)
		Else
			FinalX = -Pnl.Width
			ULV.SetSwipeDirection(Position, ULV.SWIPE_DIRECTION_RIGHT)
		End If
		Item.Anim.Start(Pnl, -1, FinalX, Min(Abs((FinalX - Pnl.Left) / VelocityX / 2), 400))
	Else
		ULV.SetSwipeDirection(Position, ULV.SWIPE_DIRECTION_BOTH)
		Item.Anim.Start(Pnl, -1, 0, Min(Abs(Pnl.Left / VelocityX / 2), 400))
	End If
End Sub

Sub NavigateToStreetAdress(provider As String,sAddress As String, latitude As String, longitude As String)
    'google intent
    'Variables
    'Provider Send Google or Waze
    'sAddress Send fully qualified address Example:123 Main st,someCity,SomeState,Somezipcode
    'latitude send latitude
    'longitude send longitude
  
    'Google mapping is already included on android phones
    If provider = "Google" Then
        Dim mapIntent As Intent
        Dim gURI As String
        If latitude.Contains(".") = True And longitude.Contains(".") = True Then
            gURI="google.navigation:q=" & latitude & "," & longitude
        Else
            gURI = "google.navigation:q=" & sAddress
        End If
      
        mapIntent.Initialize(mapIntent.ACTION_VIEW, gURI)
        mapIntent.SetComponent("googlemaps")
        StartActivity(mapIntent)
    End If
  
    'Waze must be installed to use it if installed the intent will start else it will send you to the market to install waze
    If provider = "Waze" Then
        'Waze intent
        'use geo address waze://?ll & latitude & "," & longitude
        'use address location waze://?q= & sAddress
        Try
            Dim mIntent As Intent
        Dim wURI As String
        If latitude.Contains(".") = True And longitude.Contains(".") = True Then
            wURI = "waze://?ll=" & latitude & "," & longitude & "&navigate=yes"
            Else
            wURI = "waze://?q=" & sAddress & "&navigate=yes"
        End If
         Log(wURI)
        'wURI = "waze://?q=" & sAdress & "&navigate=yes"
        mIntent.Initialize(mIntent.ACTION_VIEW, wURI)
        StartActivity(mIntent)
        Catch
          
            If LastException.Message.Contains("ActivityNotFoundException") = True Then
                If Msgbox2("This Application Uses Waze Mapping and must be installed to use the mapping features", "Install Waze", "Yes", "Cancel", "", Null) = DialogResponse.POSITIVE Then
          
                'Waze Not Installed
                Dim nIntent As Intent
                Dim nUri As String
                nUri = "market://details?id=com.waze"
                nIntent.Initialize(nIntent.ACTION_VIEW, nUri)
                StartActivity(nIntent)
                Else
                    Return
                End If
            Else
                Log(LastException)
            End If
          
        End Try
    End If
  
End Sub

